<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

$album_id = isset($_GET['album_id']) ? $_GET['album_id'] : die('Album ID not specified.');
$album_name = isset($_GET['album_name']) ? $_GET['album_name'] : die('Album name not specified.');

$page_title = "{$album_name} Photos";
?>
<!DOCTYPE html>
<html lang="en">
<head>
 
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
    <title><?php echo $page_title; ?></title>
 
    <!-- Bootstrap CSS -->
	<link href="libs/js/bootstrap/dist/css/bootstrap.css" rel="stylesheet" media="screen">
	
	<!-- blue imp gallery -->
	<link rel="stylesheet" href="libs/js/Bootstrap-Image-Gallery-3.1.1/css/blueimp-gallery.min.css">
	<link rel="stylesheet" href="libs/js/Bootstrap-Image-Gallery-3.1.1/css/bootstrap-image-gallery.min.css">

	<style>
	.photo-thumb{
		width:263px;
		height:263px;
		float:left; 
		border: thin solid #d1d1d1;
		margin:0 1em 1em 0;
	}
	
	div#blueimp-gallery div.modal {                                                  
		overflow: visible;                                                           

	}  
	
	.blueimp-gallery>.prev, .blueimp-gallery>.next{
		border:none;
	}
	</style>
</head>
<body>
     
<div class="container">
	
<?php
	$fb_page_id = !empty($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "221167777906963";
	
	echo "<div class='col-lg-12'>";
		echo "<h1 class='page-header'>";
			echo "<a href='index.php?fb_page_id={$fb_page_id}'>Albums</a> / {$page_title}";
		echo "</h1>";
	echo "</div>";
	
	include_once "notes.php";
	
	$access_token="128623690525794|LbfgDAXN_KioIspqkMegG1-ysHA";
	$json_link = "https://graph.facebook.com/v2.3/{$album_id}/photos?fields=source,images,name&access_token={$access_token}";
	$json = file_get_contents($json_link);

	$obj = json_decode($json, true, 512, JSON_BIGINT_AS_STRING);
	
	$photo_count = count($obj['data']);
	
	echo "<div class='col-lg-12'>";
	
		for($x=0; $x<$photo_count; $x++){
			
			// $source = isset($obj['data'][$x]['source']) ? $obj['data'][$x]['source'] : "";
			$source = isset($obj['data'][$x]['images'][0]['source']) ? $obj['data'][$x]['images'][0]['source'] : ""; //hd image
			$name = isset($obj['data'][$x]['name']) ? $obj['data'][$x]['name'] : "";
			
			echo "<div class='item_box'> ";
				echo "<a href='{$source}' title=\"{$name}\" data-gallery>";
					echo "<div class='photo-thumb'  title=\"{$name}\" style='background: url({$source}) 50% 50% no-repeat;'>";
						
					echo "</div>";
				echo "</a>";
			echo "</div>";
		}
		
		echo "<div id='last_item_loader' style='text-align:center;'></div>";
	echo "</div>";
?>

</div>
 
<!-- The Bootstrap Image Gallery lightbox, should be a child element of the document body -->
<div id="blueimp-gallery" class="blueimp-gallery">
    <!-- The container for the modal slides -->
    <div class="slides"></div>
    <!-- Controls for the borderless lightbox -->
    <h3 class="title"></h3>
    <a class="prev">&#9668;</a>
    <a class="next">&#9658;</a>
    <a class="close">X</a>
    <a class="play-pause"></a>
    <ol class="indicator"></ol>
    <!-- The modal dialog, which will be used to wrap the lightbox content -->
    <div class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" aria-hidden="true">&times;</button>
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body next"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left prev">
                        <i class="glyphicon glyphicon-chevron-left"></i>
                        Previous
                    </button>
                    <button type="button" class="btn btn-primary next">
                        Next
                        <i class="glyphicon glyphicon-chevron-right"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- jQuery library -->
<script src="libs/js/jquery.js"></script>

<!-- bootstrap JavaScript -->
<script src="libs/js/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="libs/js/bootstrap/docs-assets/js/holder.js"></script>
 
<!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
 
<script src="libs/js/Bootstrap-Image-Gallery-3.1.1/js/jquery.blueimp-gallery.min.js"></script>
<script src="libs/js/Bootstrap-Image-Gallery-3.1.1/js/bootstrap-image-gallery.min.js"></script>

<script>
$('#blueimp-gallery').data('useBootstrapModal', false);
$('#blueimp-gallery').toggleClass('blueimp-gallery-controls', true);
</script>

</body>
</html>